Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1384494

Summary: Missing mouse cursor on accessibility zoom
Product: [Fedora] Fedora Reporter: Carlos Olmedo Escobar <arroba2puntos>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: alciregi, andigantschnigg, bugzilla, fedora, fmuellner, magnus.i.hjorth, otaylor
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:01:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Carlos Olmedo Escobar 2016-10-13 12:07:59 UTC
Description of problem:
I can't see the mouse pointer when the Zoom option "Follow mouse cursor" is enabled.

Version-Release number of selected component (if applicable):
Tested in Fedora-Workstation-Live-x86_64-25-Wayland_Test_Day

How reproducible:
Enable the Zoom option "Follow mouse cursor" under Universal Access on Gnome settings.

Steps to Reproduce:
1.Go to Gnome Settings, Universal Access, Zoom.
2.Choose Follow mouse cursor.
3.Click On to enable the option.

Actual results:
Mouse cursor is missing.

Expected results:
Mouse cursor should be visible.

Additional info:
It only happens in wayland session.

Comment 1 Christian Stadelmann 2016-10-13 12:13:05 UTC
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=754806

Comment 2 Chris Murphy 2016-10-21 19:17:23 UTC
Yep, I'm hitting this also with gnome-shell 3.22.1-1.

Comment 3 Alessio 2017-10-10 04:26:10 UTC
(In reply to Chris Murphy from comment #2)
> Yep, I'm hitting this also with gnome-shell 3.22.1-1.

Also with gnome-shell-3.26.1-1.fc27.x86_64

Comment 4 Fedora End Of Life 2017-11-16 19:52:12 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Christian Stadelmann 2017-11-23 16:02:22 UTC
This issue is still present on Fedora 26 and Fedora 27. It has been fixed upstream recently and I guess the fixes will land in Fedora 28. See also:

(In reply to Christian Stadelmann from comment #1)
> Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=754806

Comment 6 Fedora End Of Life 2017-12-12 11:01:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Andreas 2018-03-13 13:49:16 UTC
Is there an bugfix planned for Fedora 27. This bug still exists. 
This is a big problem if you need the zoom function.